TRASH-EMPTY(1)

NAME
trash-empty - Empty for Command line trash utility.

SYNOPSIS
trash-empty [arguments]

DESCRIPTION

Permanently remove any trashed file and trashed directory. This command is a part of the trash-cli package that provides a command line interface trashcan utility compliant with the FreeDesktop.org Trash Specification. It remembers the name, original path, deletion date, and permissions of each trashed file.

ARGUMENTS

To remove all trashed files, use 'trash-empty' without arguments.

To remove files that have been in the trash for more than a given number of
    days, use 'trash-empty x', 'x' representing the number of days.

EXAMPLES
$ date
Tue Feb 19 20:26:52 CET 2008
$ trash-list
2008-02-19 20:11:34 /home/einar/today
2008-02-18 20:11:34 /home/einar/yesterday
2008-02-10 20:11:34 /home/einar/last_week
$ trash-empty 7
$ trash-list
2008-02-19 20:11:34 /home/einar/today
2008-02-18 20:11:34 /home/einar/yesterday
$ trash-empty 1
$ trash-list
2008-02-19 20:11:34 /home/einar/today
$ trash-empty
$ trash-list
<none>

BUGS
Please, report bugs to https://github.com/andreafrancia/trash-cli/issues

IF YOU WANT SAY THANKS
Tweet (to @andreafrancia or #trash-cli) or donate 1, 2 or 5 euros using paypal: https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=93L6PYT4WBN5A

CREDITS
Trash was written by Andrea Francia <andrea@andreafrancia.it>. The original version of trash-empty was contributed by Einar Orn Olason <eoo@hi.is>. The first version of manual pages was written by Steve Stalcup <vorian@ubuntu.com> and was modified by Massimo Cavalleri <submax@tiscalinet.it>.

SEE ALSO
trash-put(1), trash-list(1), trash-restore(1), trash-rm(1), and the FreeDesktop.org Trash Specification at https://specifications.freedesktop.org/trash-spec/trashspec-1.0.html.

Both are released under the GNU General Public License, version 2 or later.